View Issue Details

IDProjectCategoryView StatusLast Update
0001057SymmetricDSBugpublic2014-02-02 20:53
ReportergwilmerAssigned Togwilmer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.3.1 
Target Version3.3.2Fixed in Version3.3.2 
Summary0001057: Postgres datetime with timezone not formatted correctly when timezone offset < 0 and timezone offset has minutes
DescriptionPostgres datetime with timezone not formatted correctly when timezone offset < 0 and timezone offset contains minutes.

Two example postgres datetime with timezone values.

"2013-01-01 00:00:00-05"
"1800-01-01 00:00:00-04:56:02"

These two dates were being formatted as follows by the postgres trigger template:

"2013-01-01 00:00:00.000000 -0500"
"1800-01-01 00:00:00.000000 -04-5"

Formatting was taking the abs value of the hour, but not the minute. Added abs value to minute so format looks as follows:

"2013-01-01 00:00:00.000000 -0500"
"1800-01-01 00:00:00.000000 -0456"
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 09df5103

2013-02-22 09:23:00

gwilmer

Details Diff
Issue 1057 - Fix Postgres Trigger Template datetime with timestamp formatting when timezone offset is negative and timezone offset contains minutes.
0001057
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/postgresql/PostgreSqlTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2013-02-22 09:21 gwilmer New Issue
2013-02-22 09:21 gwilmer Status new => assigned
2013-02-22 09:21 gwilmer Assigned To => gwilmer
2013-02-22 09:25 gwilmer Resolution open => fixed
2013-02-22 09:25 gwilmer Fixed in Version => 3.3.2
2013-02-22 21:31 chenson Status assigned => resolved
2013-02-26 07:56 chenson Status resolved => closed
2014-02-02 20:53 gwilmer Changeset attached => SymmetricDS trunk r6878
2015-07-30 21:49 gwilmer Changeset attached => SymmetricDS master 09df5103